package de.ps4b.rfid;

import java.io.File;

import org.apache.activemq.util.IOHelper;
import org.apache.camel.CamelContext;
import org.apache.camel.ContextTestSupport;
import org.apache.camel.component.mock.MockEndpoint;

import static org.apache.camel.spring.processor.SpringTestHelper.createSpringCamelContext;

public class EventRouterTest extends ContextTestSupport {

    public void testPlacingOrders() throws Exception {
        // Try placing two file orders
        MockEndpoint result = getMockEndpoint("mock:events");
        result.reset();
        result.expectedMessageCount(1);
        
        // clear out any old orders
        deleteDirectory("target/events");
        IOHelper.mkdirs(new File("target/events/in"));
        IOHelper.mkdirs(new File("target/events/out"));
        
        // place 1 file based orders
        //IOHelper.copyFile(new File("src/data/sample_event_1.xml"), new File("target/events/in/sample_event_1.xml"));
        IOHelper.copyFile(new File("src/data/sample_matrics_1.xml"), new File("target/events/in/sample_matrics_1.xml"));
        
        result.assertIsSatisfied();
    }       
    
    @Override
    protected CamelContext createCamelContext() throws Exception {
        return createSpringCamelContext(this, "META-INF/spring/camel-context.xml");
    }
}

